package yc.example.dialogshow;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;

public class MainActivity extends Activity {
	private static AlertDialog.Builder builder;
	private static Dialog dialog;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}

	public void Btn1_Onclick(View view) {
		// ʵBuilder
		builder = new AlertDialog.Builder(MainActivity.this);
		// öԻͼ
		// builder.setIcon(R.drawable.ic_launcher);
		builder.setIcon(android.R.drawable.ic_dialog_info);
		// öԻͼ
		builder.setTitle("Ի");
		// öԻʾı
		builder.setMessage("Իʾı");
		builder.setPositiveButton("ȷ", new OnClickListener() {
			@Override
			public void onClick(DialogInterface arg0, int arg1) {
				Toast.makeText(MainActivity.this, "һ򵥵ĶԻ",
						Toast.LENGTH_SHORT).show();
			}
		});
		// show()ʾԻ
		builder.show();
	}

	public void Btn2_Onclick(View view) {
		dialog = new AlertDialog.Builder(this).setIcon(R.drawable.ic_launcher)
				.setTitle("ʾ").setMessage("ȷ˳")
				.setPositiveButton("ȷ", null).setNegativeButton("ȡ", null)
				.show();
	}

	public void Btn3_Onclick(View view) {
		dialog = new AlertDialog.Builder(this)
				.setIcon(android.R.drawable.btn_star).setTitle("ϲõ")
				.setMessage("ϲLOL").setPositiveButton("ϲ", null)// PͰťԣ
				.setNegativeButton("ϲ", null)// NͰťԣ
				.setNeutralButton("һ", null)// ԰ťһλм
				.show();
	}

	public void Btn4_Onclick(View view) {
		dialog = new AlertDialog.Builder(this)
				.setIcon(android.R.drawable.ic_dialog_info).setTitle("")
				/*
				 * setView()Իϵͳֻһʹãõᱻõ滻
				 * setView()һϵͳĲ֣Ĭ϶ڶԻ·ť棩
				 */
				.setView(new EditText(this)).setPositiveButton("ȷ", null)
				.setNegativeButton("ȡ", null).show();
	}

	public void Btn5_Onclick(View view) {
		final String[] WuJiang = new String[] { "", "ŷ", "", "", "" };
		dialog = new AlertDialog.Builder(this).setTitle("ѡĳʼ佫")
				.setIcon(android.R.drawable.ic_dialog_info)
				/*
				 * ӵѡķ setSingleChoiceItems(CharSequence[] items, int
				 * checkedItem, OnClickListener listener) itemsʾѡĸı
				 * checkedItemʾѡĬѡе± listener
				 */
				.setSingleChoiceItems(WuJiang, 0, new OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {
						Toast.makeText(MainActivity.this,
								"ѡ佫ǣ" + WuJiang[which], Toast.LENGTH_SHORT)
								.show();
						dialog.dismiss();
					}
				}).show();
	}

	public void Btn6_Onclick(View view) {
		dialog = new AlertDialog.Builder(this)
				.setTitle("ѡϲ˶")
				/*
				 * Ӹѡķ setMultiChoiceItems(CharSequence[] items, boolean[]
				 * checkedItems, OnMultiChoiceClickListener listener)
				 * itemsʾѡıĸı checkedItemsʾѡĸѡ״̬ listenerѡ
				 */
				.setMultiChoiceItems(
						new String[] { "", "", "Ӿ", "", "ܲ" }, null,
						null).setPositiveButton("ȷ", null)
				.setNegativeButton("ȡ", null).show();
	}

	public void Btn7_Onclick(View view) {
		dialog = new AlertDialog.Builder(this)
				.setTitle("佫б")
				.setItems(new String[] { "", "", "Τ", "Ƴ", "" },
						null).setPositiveButton("ȷ", null)
				.setNegativeButton("ȡ", null).show();
	}

	public void Btn8_Onclick(View view) {
		ImageView img = new ImageView(this);
		img.setImageResource(R.drawable.goodby_times);
		dialog = new AlertDialog.Builder(this).setTitle("ټʱ⣡").setView(img)
				.setPositiveButton("ȷ", null).show();
	}

	public void Btn9_Onclick(View view) {
		// ʵLayout
		LayoutInflater inflater = getLayoutInflater();
		View layout = inflater.inflate(R.layout.dialog1,
				(ViewGroup) findViewById(R.id.dialog_layout));
		Button btn_Login = (Button) layout.findViewById(R.id.btn_Login);
		final EditText uname = (EditText) layout.findViewById(R.id.uname);
		final EditText pwd = (EditText) layout.findViewById(R.id.pwd);
		btn_Login.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				Toast.makeText(MainActivity.this, "û"+uname.getText()+"\n룺"+pwd.getText(),
						Toast.LENGTH_SHORT).show();
				dialog.dismiss();
			}
		});
		dialog = new AlertDialog.Builder(this).setTitle("û¼").setView(layout)
				.show();
	}

	// ȶȡҪģȡ
	private ProgressDialog progressDialog = null;
	private final static int MAX_READPROCESS = 100;

	public void Btn10_Onclick(View view) {
		progressDialog = new ProgressDialog(MainActivity.this);
		progressDialog.setIcon(android.R.drawable.ic_dialog_info);
		progressDialog.setProgress(0);
		progressDialog.setTitle("...");
		progressDialog.setProgressStyle(ProgressDialog.STYLE_HORIZONTAL);
		progressDialog.setMax(MAX_READPROCESS);
		progressDialog.show();
		new Thread(progress).start();
	}

	// ¿һ̣߳ѭۼӣһֱ100Ȼֹͣ
	Runnable progress = new Runnable() {

		@Override
		public void run() {
			int Progress = 0;
			while (Progress < MAX_READPROCESS) {
				try {
					Thread.sleep(50);
					progressDialog.setProgress(++Progress);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
			 //ȡԺ󴰿ʧ 
			progressDialog.cancel();
		}
	};
	

	public void Btn11_Onclick(View view) {
		progressDialog= new ProgressDialog(MainActivity.this); 
		progressDialog.setMessage("ΪŬ..."); 
		progressDialog.setIndeterminate(true); 
		progressDialog.setCancelable(true); 
		progressDialog.show(); 
	}
}
